### Hierarchy

- TextInput

## Index

### Inputs

- invalid
- size
- skeleton
- theme
- warn

### Properties

- inputClass
- invalid
- size
- skeleton
- theme
- warn

### Accessors

- isLightTheme
- isSizeSm
- isSizeXl

## Properties

### inputClass

@HostBinding({"hostPropertyName":"class.bx--text-input"})
inputClass: boolean = true

- Defined in src/input/input.directive.ts:28

### invalid

@HostBinding({"hostPropertyName":"class.bx--text-input--invalid"})
@Input()
invalid: boolean = false

- Defined in src/input/input.directive.ts:35

### size

@Input()
size: "sm" | "md" | "xl" = "md"

- Defined in src/input/input.directive.ts:26

### skeleton

@HostBinding({"hostPropertyName":"class.bx--skeleton"})
@Input()
skeleton: boolean = false

- Defined in src/input/input.directive.ts:37

### theme

@Input()
theme: "light" | "dark" = "dark"

- Defined in src/input/input.directive.ts:21

### warn

@HostBinding({"hostPropertyName":"class.bx--text-input__field-wrapper--warning"})
@Input()
warn: boolean = false

- Defined in src/input/input.directive.ts:36

## Accessors

### isLightTheme

@HostBinding({"hostPropertyName":"class.bx--text-input--light"})
isLightTheme:

- Defined in src/input/input.directive.ts:38

### isSizeSm

@HostBinding({"hostPropertyName":"class.bx--text-input--sm"})
isSizeSm:

- Defined in src/input/input.directive.ts:32

### isSizeXl

@HostBinding({"hostPropertyName":"class.bx--text-input--xl"})
isSizeXl:

- Defined in src/input/input.directive.ts:29

Generated using TypeDoc